Subject: Re: [Zine Librarians] long armed stapler
From: Evita <[email-masked]>
To: Amanda Roper <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "Erika Church (she/they)" <[email-masked]>
Date: Wed, 20 Aug 2025 15:40:21 -0400

Amanda,
Seconding the saddle staplers Erika mentioned. Older Swinglines 615s and
Bostitch B440SB; either model with Swingline staples, specifically the ones
in the white paper box with blue and lime green branding (79350). For long
arms, older heavy Bostitch models.

Alternatives:
— Regur Ring King saddle stapler. Etona used to sell these out of NV. This
plus Regur brand staples don't jam.
— Zenith 502 stapler (link
<https://www.silvercrowcreations.com/Zenith-502-Lawyers-Black-Stapler-3-Ways-to-Staple_p_8122.html>)
and Zenith staples. Super compact, but staples are thicker than Swingline
and Regur, probably the only reason why I don't use it as much.

E

On Wed, Aug 20, 2025 at 3:26 PM Erika Church (she/they) <
[email-masked]> wrote:

> Hi Amanda,
>    We teach a lot of zine making workshops and I spend a good amount of
> time unjamming all of the staplers that we have (flex, not), but I will say
> that the Swingline Saddle Stapler that we snagged from an "on the way to
> campus surplus" pile of office supplies is our workhorse. We also have a
> Swingline Long Reach Stapler that works well.  Both were scavenged from old
> offices or work rooms.  We bought a newer one from Bostitch and have been
> pretty disappointed (as in I don't bother bringing it to the workshops
> anymore disappointed).
>    For my off the clock adventures I took to the 2nd hand market (e-bay)
> and found a reasonably priced ($30 plus shipping) Swingline Saddle Stapler
> that is my rock. Not sure if your department would purchase from 2nd hand
> marketplaces or not.
>    Another option that we used to locate some hard-to-find typewriter
> supplies was to send out a message to a few campus list serves and ask
> folks to look in their offices and workrooms for any "out of date" office
> supplies. Not sure how tricky this might be at your institution.  Since we
> are a state school we have to send things through a surplus process, but
> there are value/cost minimums so things like old typewriter ribbon
> cartridges that would be currently valued at $1.75 (that is a price I am
> making up, but pretty sure the surplus team would have just thrown them
> out, hopefully recycled the paper boxes they were in) would not require a
> formal supply transfer document to hand them over from the undergraduate
> office store room to our department.
>    Good luck in your quest!
>
>      -Erika
>
> *ERIKA E CHURCH* *(she/they) <https://www.mypronouns.org/>*
>
> *ProtoSpace Operations Coordinator*
>
>
>
> *J. Willard Marriott Library - University of Utah*
> 295 South 1500 East
> SLC,UT 84112-0860
> Phone: 801.585.5921
> Email: [email-masked] <[email-masked]>*
> Website: *lib.utah.edu <http://lib.utah.edu/>*
>
> ------------------------------
> *From:* ZineLibrarians <[email-masked]>
> on behalf of Amanda Roper <[email-masked]>
> *Sent:* Wednesday, August 20, 2025 9:27 AM
> *To:* [email-masked] <
> [email-masked]>
> *Subject:* [Zine Librarians] long armed stapler
>
> Hi,
>
> I've gone through several long-armed staplers. They keep jamming. What
> long-armed stapler do you all use? I'm not stapling too many pages at a
> time; I think it is just having multiple classes using zines and lots of
> stapler use.
>
> Amanda
>
>
>
> Amanda Roper (she/her)
> Instruction Librarian
>
> 423.697.2445
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
> _______________________________________________
> ZineLibrarians mailing list
> [email-masked]
>
> http://lists.zinelibraries.info/listinfo.cgi/zinelibrarians-zinelibraries.info
>